Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.jzos.sample.dfsort
Class DsInfo

    java.lang.Object
      com.ibm.jzos.sample.dfsort.DsInfo

    public class DsInfo

extends java.lang.Object

Helper class for DFSORT samples. Used to open a dataset using ZFile and retrieve attributes from it.

Constructor Summary
`DsInfo(java.lang.String dsn)` Construct a new instance on an (unqualified) MVS dataset name

Method Summary
`java.lang.String` | `getDsn()` Answers the given unqualified DSN
`java.lang.String` | `getFullyQualifiedDsn()` Answers the fully qualified DSN
`int` | `getLrecl()` Answers the datasets LRECL
`java.lang.String` | `getZFileDsn()` Answers the fully-qualified, //-quoted, DSN
`boolean` | `isFixedRecfm()` Answers true if the dataset has fixed length records
`boolean` | `isVariableRecfm()` Answers true if the dataset has variable length records

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DsInfo

    public DsInfo(java.lang.String dsn)
           throws ZFileException

  Construct a new instance on an (unqualified) MVS dataset name

  Parameters:
    `dsn` - the dateset name
  Throws:
    `ZFileException` - if unable to open the dataset

Method Detail

### getDsn

    public java.lang.String getDsn()

  Answers the given unqualified DSN

  Returns:
    String the dsn

### getFullyQualifiedDsn

    public java.lang.String getFullyQualifiedDsn()

  Answers the fully qualified DSN

  Returns:
    String the fully qualified DSN

### getZFileDsn

    public java.lang.String getZFileDsn()

  Answers the fully-qualified, //-quoted, DSN

  Returns:
    String the dsn

### getLrecl

    public int getLrecl()

  Answers the datasets LRECL

  Returns:
    int the logical record length

### isFixedRecfm

    public boolean isFixedRecfm()

  Answers true if the dataset has fixed length records

  Returns:
    boolean

### isVariableRecfm

    public boolean isVariableRecfm()

  Answers true if the dataset has variable length records

  Returns:
    boolean

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD